var _tests$SIMPLE_TOGGLE_;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/

/* eslint-env browser */

/* eslint-disable react/display-name*/
import * as React from 'react';
import { StatefulCheckbox as Checkbox, STYLE_TYPE } from './index.js';

var onChange = function onChange(e) {
  // eslint-disable-next-line no-console
  console.log('Checked:', e.target.checked);
};

export var suite = 'Checkbox Test Suite';
export var tests = {
  SIMPLE_TOGGLE_EXAMPLE: 'Checkbox as toggle example',
  TOGGLE_DISABLED_EXAMPLE: 'Checkbox as disabled toggle example'
};
export default (_tests$SIMPLE_TOGGLE_ = {}, _defineProperty(_tests$SIMPLE_TOGGLE_, tests.SIMPLE_TOGGLE_EXAMPLE, function () {
  return React.createElement("div", {
    style: {
      width: '400px'
    }
  }, React.createElement(Checkbox, {
    onChange: onChange,
    checkmarkType: STYLE_TYPE.toggle
  }, "click this toggle"));
}), _defineProperty(_tests$SIMPLE_TOGGLE_, tests.TOGGLE_DISABLED_EXAMPLE, function () {
  return React.createElement("div", {
    style: {
      width: '400px'
    }
  }, React.createElement(Checkbox, {
    onChange: onChange,
    disabled: true,
    checkmarkType: STYLE_TYPE.toggle
  }, "this toggle is disabled"));
}), _tests$SIMPLE_TOGGLE_);